package com.gyee.wisdom.dao.timeseries;

import com.gyee.wisdom.common.data.timeseries.TsData;
import com.gyee.wisdom.common.data.timeseries.TsPoint;

import java.util.List;
import java.util.Map;

public interface IDataChangeDao {

    void registerTopic(String topic, List<TsPoint> tsPoints);

    void unRegisterTopic(String topic);

    Map<String, TsData> getTopicDataChange(String topic);

}
